Subject: Re: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 19:00:02 +0200

> From: Akib Azmain Turja <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 04 Dec 2022 17:18:24 +0600
> 
> > I understand you didn't expect the result of cl-letf*, and were surprised by
> > what you saw, but I don't understand why you expect the Emacs development to
> > do something about your surprise.
> >
> 
> With subr.el (source), the bug59793-yank function overrides
> 'insert-for-yank' successfully.
> 
> With subr.elc (compiled byte-code), the function can't override
> 'insert-for-yank'.  Just try to replace the 'cl-letf' (not 'cl-letf*')
> form with an 'error' call, bug59793-yank still just inserts text, which
> is, obviously, unexpected.

Yes, I understand.

> > See above: I understand what you are saying, but not why this is submitted
> > as a bug to the Emacs development team.
> 
> Both source and compiled Emacs Lisp code should show the same behavior,
> except performance.

No, not when you replace the function's definition with the likes of
cl-letf.

> But 'subr.el' and 'subr.elc' show different behaviors.  Isn't this a
> byte-compiler bug?

No.